/*
 * $Id: errors_ui.h 258 2010-08-03 13:44:19Z gingko $
 * Copyright (C) 2010 gingko - http://gingko.homeip.net/
 *
 * This file is part of Pouchin TV Mod, a free DVB-T viewer.
 * See http://www.pouchintv.fr/ for updates.
 *
 * Pouchin TV Mod is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Pouchin TV Mod is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 *
 * Most files of this project have been changed from the Pouchin TV
 * project (Copyright (C) 2006 Pouchin <pouchinteve@free.fr>),
 * to use with a modified version of this software.
 * See http://pouchinteve.free.fr/ for the original project.
 */

/** \file
 *	\brief Dfinitions pour gestion de messages d'erreurs globaux
 *
 *	Ce fichier dfinit les fontions de gestion de messages d'erreurs globaux.
 **/

#pragma once

/**
 * Met en file d'attente le message d'erreur pass en paramtre pour un affichage ultrieur
 *
 * \param[in]	str	Le message  stocker, et pouvant tre pass  un printf
 *					ou si NULL, le message d'erreur sera rcupr automatiquement pour DirectShow
 * \param[in]	hr	valeur de retour devant tre teste (en cas d'erreur DShow),
 *					ou 0 si on doit l'ignorer. Ce sera la valeur retourne
 * \param[in]	...	variables optionnelles traites par printf
 * \return			la valeur du hr pass en paramtre
 **/
HRESULT erreur(LPCTSTR str, HRESULT hr, ...);

/**
 * Affiche les messages d'erreurs mis en file d'attente, ainsi que le nouveau message  la suite
 *
 * \param[in]	str		Le message  stocker, et  afficher en dernier
 * \param[in]	hr		Valeur de retour devant tre teste (en cas d'erreur DShow),
 *						ou 0 si on doit l'ignorer. Ce sera la valeur retourne.
 * \param[in]	title	Titre optionnel de la fentre
 * \param[in]	uType	Options du message (voir documentation de \p MessageBox)
 * \return		Code retour de la fentre de message
 **/
int affiche_erreurs(LPCTSTR str, HRESULT hr=0, LPCTSTR title=NULL, UINT uType=MB_OK|MB_ICONERROR);
